<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

<title><?php tj_custom_titles(); ?></title>

<?php tj_custom_description(); ?>
<?php tj_custom_keywords(); ?>
<?php tj_custom_canonical(); ?>

<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	<header id="header">

		<?php $logo = ( get_option( 'scroller_logo' ) <> '') ? get_option( 'scroller_logo' ) : get_template_directory_uri().'/images/logo.png'; ?>

		<?php if ( get_option('scroller_text_logo_enable') == 'on' ) { ?>
			<div id="text-logo">
				<h1 class="site-title"><a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
			</div><!-- #text-logo -->
		<?php } else { ?>
			<a href="<?php echo esc_url( home_url() ); ?>">
				<img src="<?php echo esc_url( $logo ) ?>" alt="<?php bloginfo( 'name' ); ?>" id="logo" />
			</a>
		<?php } ?>
		
        <div id="nav-anchor"></div>

		<nav id="primary-nav">
			<?php
				wp_nav_menu(
					array(
						'theme_location'  => 'primary-nav',
						'container_class' => 'menu-primary-wrap',
						'menu_id'         => 'nav',
						'menu_class'      => 'nav',
						'fallback_cb'     => ''
					)
				); 
			?>

            <span class="header-search">
                <i class="icon-search"></i>
                <i class="icon-remove"></i>
            </span><!-- .header-search -->
                            
            <?php get_search_form(); ?>

            <a class="button-menu" id="toggle" href="#"></a>

			<div class="btn-nav-right">
				<?php _e('Menu', 'junkie'); ?> 
			</div><!-- .btn-nav-right -->            
							
		</nav><!-- #primary-nav -->		

		<div class="clear"></div>
			
	</header><!-- #header -->

	<nav id="mobile-menu">
		<div class="container">
			<?php
				 $menuClass = 'ul';
					$menuID = 'responsive-menu';
					$res_menu = '';
					$response_menu_args = array( 
						'theme_location' => 'primary-nav', 
						'container' => '', 
						'fallback_cb' => '', 
						'menu_class' => $menuClass, 
						'menu_id' => $menuID, 
						'echo' => false 
					);
				$res_menu = wp_nav_menu( $response_menu_args); 
				if ($res_menu) {
					
					echo $res_menu;
					
				}else{
					echo '<ul id="responsive-menu">';
					show_page_menu($menuClass,false,false); 
					echo '</ul>';
				}
			?>
		</div><!-- .container -->
	</nav><!-- #mobile-menu -->	
	
	<?php if( ! is_singular() && ! is_search() && ! is_archive() && ! is_404() ) { ?>
		<div id="home-wrapper">
	<?php } ?>