<?php
/**
 * Various helper functions for theme usage.
 *
 * @package    Scroller
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2014, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

/**
 * Custom function to limit content output.
 * 
 * @param  integer  $length
 * @param  string   $more
 * @since  1.0.0
 * @access public
 * @link   http://codex.wordpress.org/Function_Reference/wp_trim_words
 */
function tj_content_limit( $length, $more = null ) {
	$content = get_the_content();
	$excerpt = wp_trim_words( $content, $length, $more );

	return $excerpt;
}