<?php
/**
 * Register Sidebars.
 * 
 * Functions to register custom sidebars with various position. 
 * 
 * @package    Scroller
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2014, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @link       http://codex.wordpress.org/Function_Reference/register_sidebar
 * @since      1.0.0
 */

/* Register custom sidebars. */
add_action( 'widgets_init', 'tj_register_sidebars' );

/**
 * Register custom sidebars.
 *
 * @since  1.0.0
 * @access public
 */
function tj_register_sidebars() {

	register_sidebar( array (
		'name'          => __( 'Sidebar', 'themejunkie' ),
		'id'            => 'sidebar',
		'description'   => __( 'Sidebar', 'themejunkie' ),
		'before_widget' => '<div id="%1$s" class="widget clearfix %2$s">',
		'after_widget'  => "</div>",
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	
	register_sidebar( array (
		'name'          => __( 'Homepage', 'themejunkie' ),
		'id'            => 'home-widgets',
		'description'   => __( 'Appears on the home page.', 'themejunkie' ),
		'before_widget' => '<div id="%1$s" class="home-widget clearfix %2$s-widget">',
		'after_widget'  => "</div>",
		'before_title'  => '<h1 class="widget-title">',
		'after_title'   => '</h1>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer (column1)', 'junkie' ),
		'id'            => 'footer-col-1',
		'description'   => __( 'Appears in the footer section of the site.', 'junkie' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer (column2)', 'junkie' ),
		'id'            => 'footer-col-2',
		'description'   => __( 'Appears in the footer section of the site.', 'junkie' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer (column3)', 'junkie' ),
		'id'            => 'footer-col-3',
		'description'   => __( 'Appears in the footer section of the site.', 'junkie' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer (column4)', 'junkie' ),
		'id'            => 'footer-col-4',
		'description'   => __( 'Appears in the footer section of the site.', 'junkie' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer (column5)', 'junkie' ),
		'id'            => 'footer-col-5',
		'description'   => __( 'Appears in the footer section of the site.', 'junkie' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	
}