<?php

/**
 * Create the Post meta boxes
 */
    
add_action('add_meta_boxes', 'junkie_metabox_posts');
function junkie_metabox_posts(){
	$prefix = 'tj_';
	global $shortname;
	//die($shortname);
	/* Create a gallery metabox -----------------------------------------------------*/
    $meta_box = array(
		'id' => 'junkie-metabox-portfolio',
		'title' =>  __('Portfolio Settings', 'junkie'),
		'description' => __('Setup your portfolio page.', 'junkie'),
		'page' => 'portfolio',
		'context' => 'normal',
		'priority' => 'high',
		'fields' => array(
			array(
					'name' =>  __('Image Gallery', 'junkie'),
					'desc' => __('Click to upload images.', 'junkie'),
					'id' => 'tj_image_ids',
					'type' => 'images',
                    'std' => __('Upload Images', 'junkie')
				),
			array(
					'name' =>  __('Short Description', 'junkie'),
					'desc' => __('A short description of the project.', 'junkie'),
					'id' => 'tj_portfolio_short_desc',
					'type' => 'text',
                    'std' => __('A short description', 'junkie')
				),
			array(
					'name' =>  __('Client Name', 'junkie'),
					'desc' => __('The client name of the project.', 'junkie'),
					'id' => 'tj_portfolio_client',
					'type' => 'text',
                    'std' => __('Theme Junkie', 'junkie')
				),
			array(
					'name' =>  __('External Link', 'junkie'),
					'desc' => __('The link to the project.', 'junkie'),
					'id' => 'tj_portfolio_link',
					'type' => 'text',
                    'std' => __('http://www.theme-junkie.com/', 'junkie')
				),
			array(
					'name' =>  __('Video Embedded Code', 'junkie'),
					'desc' => __('Embed video into your portfolio page. Image Gallery will be hidden.', 'junkie'),
					"id" => "tj_video_embed_portfolio",
					'type' => 'textarea',
                    'std' => ''
				)																					
		)
	);
	
	$meta_box_member = array(
		'id' => 'tj-meta-box-member',
		'title' =>  __('Team Member Settings', 'junkie'),
		'description' => __('Setup the member details.', 'junkie'),	
		'page' => 'member',
		'context' => 'normal',
		'priority' => 'high',
		'fields' => array(
		array(
				'name' =>  __('Member Avatar ', 'junkie'),
				'desc' => '',
				'id' => $prefix.'member_avatar',
				'type' => 'file',
				'std' => ''
			),		
		array(
				'name' => 'Member Position',
				'desc' => '',
				'id' => $prefix.'member_position',
				'type' => 'text',
				'std' => 'Web Designer'
			),
		array(
				'name' => 'Twitter URL',
				'desc' => '',
				'id' => $prefix.'member_twitter_url',
				'type' => 'text',
				'std' => 'http://twitter.com/theme_junkie'
			),	
		array(
				'name' => 'Facebook URL',
				'desc' => '',
				'id' => $prefix.'member_facebook_url',
				'type' => 'text',
				'std' => 'http://www.facebook.com/themejunkies'
			),
		array(
				'name' => 'Google Plus URL',
				'desc' => '',
				'id' => $prefix.'member_googleplus_url',
				'type' => 'text',
				'std' => 'https://plus.google.com/+themejunkies'
			),		
		array(
				'name' => 'LinkedIn URL',
				'desc' => '',
				'id' => $prefix.'member_linkedin_url',
				'type' => 'text',
				'std' => ''
			),	
		array(
				'name' => 'Pinterest URL',
				'desc' => '',
				'id' => $prefix.'member_pinterest_url',
				'type' => 'text',
				'std' => ''
			),															
		),
	
	
	);
	
	$meta_box_feature = array(
		'id' => 'tj-meta-box-feature',
		'title' =>  __('Mini Feature Settings', 'junkie'),
		'description' => __('Setup the feature details.', 'junkie'),		
		'page' => 'feature',
		'context' => 'normal',
		'priority' => 'high',
		'fields' => array(
		array(
				'name' =>  __('Feature Icon ', 'junkie'),
				'desc' => __('Upload an icon or enter an URL to your feature icon', 'junkie'),
				'id' => $prefix.'feature_icon',
				'type' => 'file',
				'std' => ''
			),
		array(
				'name' => 'Read More Link',
				'desc' => '',
				'id' => $prefix.'feature_more_link',
				'type' => 'text',
				'std' => home_url().'/features/'
			),		
		),
	
	
	);


	$meta_box_testimonial = array(
		'id' => 'tj-meta-box-testimonial',
		'title' =>  __('Testimonial Author Information', 'junkie'),
		'description' => __('Setup the testimonial author details.', 'junkie'),				
		'page' => 'testimonial',
		'context' => 'normal',
		'priority' => 'high',
		'fields' => array(
		array(
				'name' =>  __('Author Name ', 'junkie'),
				'desc' => '',
				'id' => $prefix.'testimonial_author_name',
				'type' => 'text',
				'std' => 'John Smith'
			),
		array(
			'name' =>  __('Author Avatar ', 'junkie'),
			'desc' => '',
			'id' => $prefix.'testimonial_author_avatar',
			'type' => 'file',
			'std' => get_template_directory_uri().'/images/default-avatar.png'
		),		
		array(
				'name' =>  __('Site Name ', 'junkie'),
				'desc' => '',
				'id' => $prefix.'testimonial_site_name',
				'type' => 'text',
				'std' => 'Theme Junkie'
			),		
		array(
				'name' =>  __('Site URL ', 'junkie'),
				'desc' => '',
				'id' => $prefix.'testimonial_site_url',
				'type' => 'text',
				'std' => 'http://www.theme-junkie.com'
			)		
		),
	
	
	);

	
    junkie_add_meta_box( $meta_box );
    junkie_add_meta_box( $meta_box_member );
    junkie_add_meta_box( $meta_box_feature ); 
    junkie_add_meta_box( $meta_box_testimonial );          
    
}

	
	
?>