<?php
/**
 * Register custom widgets.
 *
 * @package    Scroller
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2014, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

/* Register custom widgets. */
add_action( 'widgets_init', 'tj_register_widgets' );

/**
 * Registers the custom widgets.
 *
 * @since  1.0.0
 * @access public
 * @uses   register_widget() Registers individual widgets with WordPress
 * @link   http://codex.wordpress.org/Function_Reference/register_widget
 */
function tj_register_widgets() {

	/* Load the hero widget class. */
	require_once( trailingslashit( get_template_directory() ) . 'includes/widgets/hero-widget.php' );
	register_widget( 'Tj_Hero_Widget' );

	/* Load the feature widget class. */
	require_once( trailingslashit( get_template_directory() ) . 'includes/widgets/feature-widget.php' );
	register_widget( 'Tj_Feature_Widget' );

	/* Load the portfolio widget class. */
	require_once( trailingslashit( get_template_directory() ) . 'includes/widgets/portfolio-widget.php' );
	register_widget( 'Tj_Portfolio_Widget' );

	/* Load the blog widget class. */
	require_once( trailingslashit( get_template_directory() ) . 'includes/widgets/blog-widget.php' );
	register_widget( 'Tj_Blog_Widget' );

	/* Load the team widget class. */
	require_once( trailingslashit( get_template_directory() ) . 'includes/widgets/team-widget.php' );
	register_widget( 'Tj_Team_Widget' );

	/* Load the testimonial widget class. */
	require_once( trailingslashit( get_template_directory() ) . 'includes/widgets/testimonial-widget.php' );
	register_widget( 'Tj_Testimonial_Widget' );

	/* Load the contact widget class. */
	require_once( trailingslashit( get_template_directory() ) . 'includes/widgets/contact-widget.php' );
	register_widget( 'Tj_Contact_Widget' );

}