var $ = jQuery.noConflict();

$(document).ready(function($) {

	/**
	 * Superfish
	 */
	$('ul.nav').superfish({ 
		delay:     1000,                            // one second delay on mouse out 
		animation: {opacity:'show', height:'show'}, // fade-in and slide-down animation 
		speed:     'fast'                           // faster animation speed 
	});

	/*---Center Nav Sub Menus---*/
	$('.nav li ul').each(function() {
	
		li_width = $(this).parent('li').width();
		li_width = li_width / 2;
		li_width = 100 - li_width - 10;
		
		$(this).css('margin-left', - li_width);
	
	});

/*-----------------------------------------------------------------------------------*/
/*	Responsive Menu
/*-----------------------------------------------------------------------------------*/
	
	$(".btn-nav-right").click(function(){
			$("#responsive-menu").slideToggle(300);
	});

	/**
	 * Quicksand
	 */
	function control_quicksand(){
		
		$('#sort-by').children('li').each(function(){
			$text = $(this).find('a').text();
			$class = $(this).attr('class');
			$class = $class.replace('cat-item','');
			$(this).find('a').attr('href','');
			$(this).find('a').attr('class',$class);
			$(this).attr('class','');
		});
		
		$('#sort-by').append('<li class="active" ><a class="all">All</a></li>');

		var $filterType = $('#sort-by li.active a').attr('class');
		var $holder     = $('ul.ourHolder');
		var $data       = $holder.clone();

		$('#sort-by>li a').click(function(e) {
			$('#sort-by li').removeClass('active');
			var $filterType = $(this).attr('class');

			$(this).parent().addClass('active');
			
			if ($filterType == 'all') {
				var $filteredData = $data.children('li');
			} else {
				var $filteredData = $data.find('li[data-type*=' + $filterType + ']');
			}

			$holder.quicksand($filteredData,{
				duration: 500
			}, function() {});
		   
			return false;

		});

	}
	control_quicksand();

	/**
	 * Contact form Handler
	 */
	$(".container").on("click","#submit",function(){
		$('#contact-form').find('input').css({'border-color':'#e6e6e6'});
		$('#contact-form').find('textarea').css({'border-color':'#e6e6e6'});
		var name = $(this).siblings("#c_name").val();
		var email = $(this).siblings("#c_email").val();
		var subject = $(this).siblings("#c_subject").val();
		var message = $(this).siblings("#c_message").val();
		var nonce = $(this).siblings("#c_nonce").val();
		var vd = true;
		if(name.length == 0){
			show_message('Name is Required');
			$("#c_name").css({'border-color':'red'});
			var vd = false;
		}

		if(email.length == 0){
			show_message('Email is Required');
			$("#c_email").css({'border-color':'red'});
			var vd = false;	
		}
		if(!validateEmail(email)){
			show_message('Email is not validate');
			$("#c_email").css({'border-color':'red'});
			var vd = false;
		}
	
		if(message.length == 0){
			$("#c_message").css({'border-color':'red'});
			show_message('Message can not be empty');
			var vd = false;
		}

		if(!vd) return false;


		var submitbtn = $(this);
		submitbtn.val("Sending...");

		$.post(
			jsobj.ajaxurl,
			{
				action:"tj_contact_form",
				security:nonce,
				name: name,
				email:email,
				subject:subject,
				message:message
			},
			function(data){
				if(data=="ok"){
					submitbtn.val("Sent").attr("disabled","disabled");
					$('.overlay').css({'background-color':'#2ecc71'});
					show_message("Your Message Has Been Sent, We will get back to you as soon as possible");
				}
			}
		);
		return false;
	});

	function show_message(data){
			$('.overlay').find('.msg').text(data);
			$('.overlay').fadeIn(200,function(){
				$('.overlay').fadeOut(5000);
			});
	}

	function validateEmail(email) { 
	  var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
		return re.test(email);
	} 

	/**
	 * Hide element.
	 */
	$('div.element').hide();

	var $data=$("#quicksand_list").clone();

	/**
	 * Responsiveslides
	 */
	$( ".rslides" ).responsiveSlides({
		pager: false,
		nav: true,
		pause: true,
		prevText: "&larr;",
		nextText: "&rarr;", 
	});
	
})
