<?php
/**
 * Template Name: Archives
 * Description  : Custom page template to display posts archive.
 *
 * @since      1.0.0
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2014, Theme Junkie
 * @link       http://www.theme-junkie.com/themes/scroller/
 * @license    http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */
?>

<?php get_header(); ?>

	<div id="main" class="clearfix">

		<div id="content">

			<div class="breadcrumbs">
				<h1><?php the_title(); ?></h1>
			</div>

			<div class="entry-content">

				<h2><?php _e( 'The Latest 20 Posts', 'junkie' ); ?></h2>
				<ul style="margin-bottom: 40px;">
					<?php wp_get_archives( array( 'limit' => 20, 'type' => 'postbypost' ) ); ?>
				</ul><!-- Latest Posts -->

				<div class="clear"></div>

				<div class="left" style="width:50%;">
					<h2><?php _e( 'Categories', 'junkie' ); ?></h2>
					<ul>
						<?php
							wp_list_categories( array(
								'orderby'    => 'count',
								'order'      => 'DESC',
								'show_count' => 1,
								'title_li'   => '',
								'number'     => 10,
							) );
						?>
					</ul>
				</div><!-- Categories -->

				<div class="right" style="width:50%;">
					<h2><?php _e( 'Monthly Archives', 'junkie' ); ?></h2>
					<ul>
						<?php wp_get_archives( 'type=monthly&show_post_count=true' ); ?>
					</ul>
				</div><!-- Monthly Archives -->

				<div class="clear"></div>

			</div><!-- .entry-content -->
			
		</div><!-- #content -->
	
		<?php get_sidebar(); ?>

	</div><!-- #main -->

<?php get_footer(); ?>
