<?php 
/**
 * Template Name: Blog
 * Description  : Custom page template to display blog posts list.
 *
 * @since      1.0.0
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2014, Theme Junkie
 * @link       http://www.theme-junkie.com/themes/scroller/
 * @license    http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */
get_header(); ?>

	<div id="main">
	
		<div id="content">
		
			<div class="breadcrumbs">
				<h1><?php the_title(); ?></h1>
			</div>
		
			<div class="content-loop">
				
				<?php $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1; ?>
				<?php $query = new WP_Query( array( 'post_type' => 'post', 'paged' => $paged, 'posts_per_page' => get_option( 'page_per_posts' ) ) ); ?>
				<?php $temp_query = $wp_query; $wp_query = NULL; $wp_query = $query; ?>

				<?php if ( $wp_query->have_posts() ) : ?>

					<?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

						<article id="post-<?php the_ID();?>" <?php post_class(); ?>>

							<?php if( has_post_thumbnail() ) { ?>
								<a href="<?php the_permalink(); ?>">
									<?php the_post_thumbnail( 'scroller-featured', array( 'class' => 'entry-thumb', 'alt' => esc_attr( get_the_title() ) ) ); ?>
								</a>
							<?php } ?>

							<div class="left entry-meta">
								<span><?php echo get_the_date(); ?></span>
								<span><?php _e( 'this post has', 'junkie' ) ?> <a href="<?php comments_link(); ?>"><?php comments_number( __( 'No Comment', 'junkie' ), __( 'One Comment', 'junkie' ), __( '% Comments', 'junkie' ) ); ?></a></span>
								<span><?php printf( __( 'in %s', 'junkie' ), get_the_category_list( ', ' ) ); ?></span>
								<span><?php printf( __( 'by %s', 'junkie' ), get_the_author() ); ?></span>
							</div>

							<div class="right">
								<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
								<div class="entry-excerpt">
									<?php the_excerpt(); ?>
								</div><!-- .entry-excerpt -->
								<a href="<?php the_permalink(); ?>" class="more-link link-button"><?php _e( 'Read full article', 'junkie' ); ?></a>
							</div><!-- .right -->

							<div class="clear"></div>

						</article><!-- #post-1 -->

					<?php endwhile; ?>

					<?php tj_paging_nav(); ?>

				<?php elseif ( current_user_can( 'edit_posts' ) ) : ?>

					<?php get_template_part( 'not', 'found' ); ?>

				<?php endif; wp_reset_postdata(); $wp_query = NULL; $wp_query = $temp_query; ?>
				
			</div><!-- .content-loop -->

		</div><!-- #content -->
		
		<?php get_sidebar(); ?>
	
	</div><!-- #main -->
	
<?php get_footer(); ?>