<?php
/**
 * Template Name: Contact Form
 * Description  : Custom page template to display contact form.
 *
 * @since      1.0.0
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2014, Theme Junkie
 * @link       http://www.theme-junkie.com/themes/scroller/
 * @license    http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */
?>

<?php
if( isset( $_POST['submitted'] ) ) {

	if( trim( $_POST['contactName'] ) === '' ) {
		$nameError = __( 'Please enter your name.', 'junkie' );
		$hasError = true;
	} else {
		$name = strip_tags( $_POST['contactName'] );
	}
	
	if( trim( $_POST['email'] ) === '' )  {
		$emailError = __( 'Please enter your email address.', 'junkie' );
		$hasError = true;
	} elseif ( ! is_email( $_POST['email'] ) ) {
		$emailError = __( 'You entered an invalid email address.', 'junkie' );
		$hasError = true;
	} else {
		$email = is_email( $_POST['email'] );
	}
		
	if( trim( $_POST['comments'] ) === '' ) {
		$commentError = __( 'Please enter a message.', 'junkie' );
		$hasError = true;
	} else {
		$comments = stripslashes( trim( $_POST['comments'] ) );
	}
		
	if( !isset( $hasError) ) {
		$emailTo = is_email( get_option( 'scroller_email' ) );
		if ( !isset( $emailTo ) || ( $emailTo == '' ) ){
			$emailTo = is_email( get_option('admin_email') );
		}
		$subject = '[Contact Form] From '.$name;
		$body    = "Name: $name \n\nEmail: $email \n\nComments: $comments";
		$headers = 'From: '.$name.' <'.$emailTo.'>' . "\r\n" . 'Reply-To: ' . $email;
		
		mail( $emailTo, $subject, $body, $headers );
		$emailSent = true;
	}
	
} 
?>

<?php get_header(); ?>

	<div id="main" class="clearfix">

	    <div id="content">

	    	<div class="breadcrumbs">
				<h1><?php the_title(); ?></h1>
			</div>

		    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			    <div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<div class="entry-content">
					<?php the_content(); ?>

					<?php if ( isset( $emailSent ) && $emailSent == true ) { ?>
		                <div class="thanks">
		                    <p><?php _e( 'Thanks, your email was sent successfully.', 'junkie' ) ?></p>
		                </div><!-- .thanks -->
		            <?php } else { ?>
		
		                <?php if(isset($hasError) || isset($captchaError)) { ?>
		                <?php } ?>
		
		                <form action="<?php the_permalink(); ?>" id="contact-form" method="post">
		                    <div class="contact-form">
		                        <div><label for="contactName"><?php _e('Name:', 'junkie') ?></label>
		                            <input class="txt" type="text" name="contactName" id="contactName" value="<?php if(isset($_POST['contactName'])) echo $_POST['contactName'];?>" class="required requiredField" />
		                            <?php if( isset( $nameError ) ) { ?>
		                                <span class="error"><?php echo $nameError; ?></span>
		                            <?php } ?>
		                        </div>
		
		                        <div><label for="email"><?php _e('Email:', 'junkie') ?></label>
		                            <input class="txt" type="text" name="email" id="email" value="<?php if(isset($_POST['email']))  echo $_POST['email'];?>" class="required requiredField email" />
		                            <?php if( isset( $emailError ) ) { ?>
		                                <span class="error"><?php echo $emailError; ?></span>
		                            <?php } ?>
		                        </div>
		
		                        <div class="textarea"><label for="commentsText"><?php _e('Message:', 'junkie') ?></label>
		                            <textarea name="comments" id="commentsText" rows="20" cols="30" class="required requiredField"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?></textarea>
		                            <?php if( isset( $commentError ) ) { ?>
		                                <p><span class="error"><?php echo $commentError; ?></span></p>
		                            <?php } ?>
		                        </div>
		
		                        <div>
		                            <input type="hidden" name="submitted" id="submitted" value="true" />
		                            <input name="submit" type="submit" id="submit" class="button-primary" value="<?php _e('Send Email', 'junkie') ?>" />
		                        </div>
		                    </div>
		                </form>
		            <?php } ?>
				</div><!-- .entry-content -->
			</div><!-- #post-<?php the_ID(); ?> -->
			<?php endwhile; endif; ?>
			
		</div><!-- #content -->
		
		<?php get_sidebar(); ?>
	
	</div><!-- #main -->
	 		
<?php get_footer(); ?>