<?php
/**
 * Template Name: Full Width
 * Description  : Custom page template to display full width content.
 *
 * @since      1.0.0
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2014, Theme Junkie
 * @link       http://www.theme-junkie.com/themes/scroller/
 * @license    http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */
?>

<?php get_header(); ?>

	<div id="main" class="clearfix">

		<div id="content" class="one-col">

			<div class="breadcrumbs">
				<h1><?php the_title(); ?></h1>
			</div>
		
			<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
				
				<div class="entry-content">
					<?php the_content(); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'junkie' ), 'after' => '</div>' ) ); ?>
				</div><!-- .entry-content -->
				
				<?php edit_post_link( __( 'Edit', 'junkie' ), '<span class="post-edit">', '</span>' ); ?>
				
			<?php endwhile; endif; ?>
			
		</div><!-- #content .one-col -->

	</div><!-- #main -->

<?php get_footer(); ?>