<?php
/**
 * Template Name: Portfolio 4 Columns
 * Description  : Custom page template to display Portfolio data in four columns.
 *
 * @package    Scroller
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2014, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
*/
?>

<?php get_header(); ?>

	<div id="main" class="clearfix">
	
		<div id="portfolio" class="clearfix">

			<div class="breadcrumbs">
				<h1><?php the_title(); ?></h1>
			</div>
		
			<?php if ( 'on' != get_option( 'scroller_portfolio_paging' ) ) { ?>
				<div class="portfolio-header">
					<ul id="sort-by" class="clearfix">
						<?php wp_list_categories('taxonomy=portfolio-type&orderby=name&order=DESC&hide_empty=0&hierarchical=1&title_li='); ?>
					</ul><!-- #sort-by -->
				</div><!-- .portfolio-header -->
			<?php } ?>
			
			<ul class="ourHolder">
			
				<?php
				$portfolio_args = array( 'post_type' => 'portfolio' );

				if ( 'on' == get_option( 'scroller_portfolio_paging' ) ) {
					$portfolio_args['posts_per_page'] = get_option( 'page_per_posts' );
					$portfolio_args['paged'] = get_query_var( 'paged' );
				} else {
					$portfolio_args['posts_per_page'] = -1;
				}

				$portfolio = new WP_Query( $portfolio_args );
				?>
	
				<?php if ( $portfolio->have_posts() ) : ?>
			
					<?php while ( $portfolio->have_posts() ) : $portfolio->the_post(); ?>
				
					<?php	
						$video_embed = get_post_meta(get_the_ID(), 'tj_video_embed_portfolio', true );
						$short_desc  = get_post_meta(get_the_ID(), 'tj_portfolio_short_desc', true );
					?>
		
					<li class="portfolio-item portfolio-item-4-col" data-type="<?php tj_terms_class(); ?>" data-id="id-<?php the_ID();?>" >
						
						<?php if ( has_post_thumbnail() ) : ?>
							<a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>">
								<?php the_post_thumbnail( 'scroller-portfolio-4', array( 'class' => 'entry-thumb' ) ); ?>
							</a>
		
						<?php elseif ( get_post_meta( get_the_ID(), 'upload_image_thumb', true ) != '' ) : ?>
							<a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>">
								<img src="<?php echo get_post_meta( get_the_ID(), 'upload_image_thumb', true ); ?>" alt="<?php the_title(); ?>" class="entry-thumb">
							</a>
							
						<?php endif; ?>
						
						<div class="entry-details">
							<h1 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php printf(__( 'Permanent Link to %s', 'junkie' ), get_the_title() ); ?>"> <?php the_title(); ?></a></h1>
							<div class="entry-desc"><?php echo stripslashes( htmlspecialchars_decode( $short_desc ) ); ?></div>
						</div>
						<div class="clear"></div>           		      
					</li><!-- .portfolio-item .portfolio-item-4-col -->
		
					<?php endwhile; ?>

					<?php
					if ( ( 'on' == get_option( 'scroller_portfolio_paging' ) ) && function_exists( 'wp_pagenavi' ) ) {
						wp_pagenavi( array( 'query' => $portfolio ) );
					} ?>

				<?php endif; wp_reset_postdata(); ?>
			
			</ul><!-- .ourHolder -->
					
		</div><!-- #portfolio -->
	
	</div><!-- #main -->

<?php get_footer(); ?>