<?php
/**
 * Template Name: Sitemap
 * Description  : Custom page template to display the site sitemap.
 *
 * @package    Scroller
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2014, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU GPL version 2
 * @link       http://codex.wordpress.org/Page_Templates
 * @since      1.0.0
*/
?>
<?php get_header(); ?>

	<div id="main">
	
		<div id="content">

			<div class="breadcrumbs">
				<h1><?php the_title(); ?></h1>
			</div>
		
			<div class="entry-content">

				<?php if( have_posts() ) : while( have_posts() ) : the_post(); ?>

					<?php the_content(); ?>
		
					<div class="left" style="width:50%; margin-bottom: 40px;">  
						<h2><?php _e( 'Pages', 'junkie' ); ?>:</h2>
						<ul>
							<?php wp_list_pages( 'depth=0&sort_column=menu_order&title_li=' ); ?>
						</ul>
					</div>
			
					<div class="left" style="width:50%; margin-bottom: 40px;">  
						<h2><?php _e( 'Posts', 'junkie' ); ?>:</h2>
						<ul>
							<?php wp_get_archives( array( 'limit' => 20, 'type' => 'postbypost' ) ); ?>
						</ul>
					</div>

					<div class="clear"></div>

					<div class="left" style="width:50%">  
						<h2><?php _e( 'Categories', 'junkie' ); ?>:</h2>
						<ul>
							<?php
								wp_list_categories( array(
									'orderby'    => 'count',
									'order'      => 'DESC',
									'show_count' => 1,
									'title_li'   => '',
									'number'     => 10,
								) );
							?>
						</ul>
					</div>

					<div class="left" style="width:50%">
						<h2><?php _e( 'Archives', 'junkie' ); ?>:</h2>
						<ul>
							<?php wp_get_archives( 'type=monthly&show_post_count=true' ); ?>
						</ul>
					</div>

					<div class="clear"></div>
					
					<div style="width:100%; display: block; margin-top: 40px;">
						<?php the_widget( 'WP_Widget_Tag_Cloud' ); ?>
					</div>

				<?php endwhile; endif; ?>

			</div><!-- .entry-content -->
		
		</div> <!-- #content -->

	    <?php get_sidebar(); ?>
	    
	</div><!-- #main -->
	    
<?php get_footer(); ?>