<?php get_header(); ?>

	<div id="main">

		<div id="content" class="one-col">

			<?php if( have_posts() ) : ?>

				<?php while( have_posts() ) : the_post(); ?>

				<?php tj_post_nav(); ?>

				<article id="portfolio-<?php the_ID();?>" <?php post_class( 'page single' ); ?>>
					
					<div class="portfolio-images">

						<?php $galleries = get_post_meta( get_the_ID(), 'tj_image_ids', true ); ?>
						<?php $video = get_post_meta( get_the_ID(), 'tj_video_embed_portfolio', true ); ?>

						<?php $array = explode( ',', $galleries ); ?>
						<?php $ids = array_filter( $array ); ?>

						<?php if ( count( $ids ) > 1 ) { ?>

							<ul class="rslides">
								<?php foreach( $ids as $id ) { ?>
									<li><?php echo wp_get_attachment_image( $id, 'scroller-gallery' ); ?></li>
								<?php } ?>
							</ul>

						<?php } elseif( $video ) { ?>
							
							<?php echo stripslashes( htmlspecialchars_decode( $video ) ); ?>
						
						<?php } elseif( has_post_thumbnail() ) { ?>

							<?php the_post_thumbnail( 'scroller-gallery', array( 'alt' => get_the_title() ) ); ?>

						<?php } ?>

					</div>

					<div class="portfolio-details">

						<?php
							$client = get_post_meta( get_the_ID(), 'tj_portfolio_client', true );
							$url    = get_post_meta( get_the_ID(), 'tj_portfolio_link', true );
							$cats   = get_the_terms( get_the_ID(), 'portfolio-type' );
						?>
						
						<h1 class="entry-title"><?php the_title(); ?></h1>
						<div class="entry-desc"><?php the_content(); ?></div>
						<div class="project-details">
							<h3><?php _e( 'Project Details', 'junkie' ) ?></h3>
							<ul>
								<li>
									<span class="le"><?php _e( 'Date:', 'junkie' ) ?></span>
									<span class="ri"><?php the_time('M Y'); ?></span>
								</li>

								<?php if ( ! empty( $client ) ) { ?>
									<li>
										<span class="le"><?php _e( 'Client:', 'junkie' ) ?></span>
										<span class="ri"><?php echo $client; ?></span>
									</li>
								<?php } ?>

								<?php if ( $cats && ! is_wp_error( $cats ) ) { ?>
									<?php $lists = array(); ?>
									<?php foreach ( $cats as $cat ) : ?>
										<?php $lists[] = $cat->name; ?>
									<?php endforeach; ?>
									<?php $skills = join( ", ", $lists ); ?>
									<li>
										<span class="le"><?php _e( 'Skills:', 'junkie' ) ?></span>
										<span class="ri"><?php echo $skills; ?></span>
									</li>
								<?php } ?>

								<?php if ( ! empty( $url ) ) { ?>
									<li>
										<span class="le"><?php _e( 'Project URL:', 'junkie' ) ?></span>
										<span class="ri"><a href="<?php echo esc_url( $url ); ?>"><?php _e( 'View Project', 'junkie' ); ?></a></span>
									</li>
								<?php } ?>

							</ul>
						</div>

					</div>

				</article>
			
			<?php endwhile; endif; ?>

			<div class="clear"></div>

			<?php tj_related_portfolio(); ?>

		</div><!-- #content -->
		
	</div><!-- #main -->

<?php get_footer(); ?>